# Created by Huang, Fuguo (aka ken) on 17.1.2022.


function showConfiguringTA () {
	TEMP_WORDING=$1
	if [ -z "$TEMP_WORDING" ]; then
		TEMP_WORDING="Configuring Transformation Advisor.."
	fi

	echo -n $TEMP_WORDING
  while :; do
  	printf "."
  	sleep 1
  done &

	# run kill $! on EXIT signal or on Ctrl+C
	trap "kill $!" EXIT 2>/dev/null #Die with parent if we die prematurely
}

function killBackgroundJob() {
	# remove current job
	disown
	# debugger
	echo ""
	# remove background job, remove overwrite trap, i.e. remove run kill $! on EXIT signal
	kill $! && trap - EXIT 2>/dev/null
}

function displayTARunningStatus() {

	source ./.env 2>/dev/null

  uiID=$(docker ps | grep transformation-advisor-ui | awk '{print $1}')
  taVersion=$(docker inspect $uiID | grep version | tail -n 1 | awk -F : '{print $2}' | sed 's/^.//' | tr -d '"')

  echo "Status"
  echo "------------------------------------------------------------------------------------------------------"
  echo "Transformation Advisor ${taVersion} is available for use at the following URL> ${TA_PUBLIC_ACCESSIBLE_UI_URL}"

}